Skip to main content
GET
List analytics drilldown conversations

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

Query Parameters

metric_id
enum<string>
required

Legacy drilldown population.

Available options:
conversations_count,
resolutions_count
since
string<date-time>
required

Inclusive ISO 8601 instant with offset.

until
string<date-time>
required

Exclusive ISO 8601 instant with offset; at most 31 days after since.

inbox_id
integer

An inbox in Current.account; foreign/unknown ids are 422.

channel
enum<string>

Mapped inbox channel.

Available options:
apple_messages,
whatsapp,
sms,
email,
web_chat,
other
cursor
string

Opaque nextCursor from the previous response.

limit
integer
default:25

Rows per page, 1–50.

Required range: 1 <= x <= 50

Response

Success.

access
enum<string>
required

Server-enforced disclosure level.

Available options:
full
accessLogged
enum<boolean>
required

A durable list_view audit row was written before personal data was loaded.

Available options:
true
rows
object[]
required

Rows newest first. Repeated resolution events may repeat a conversation.

nextCursor
string | null
required

Opaque keyset cursor for the next page; null at the end.